package org.processmining.markovprocess.models;

import java.util.ArrayList;

import org.deckfour.xes.model.XLog;
import org.deckfour.xes.model.XTrace;
import org.processmining.plugins.stationarydistribution.XesAuxiliary;

public class TraceLifetimes {
	private final Double[] lifetimes;
	
	public TraceLifetimes(XLog log) {
		ArrayList<Double> lifetimesList = new ArrayList<Double>();
		for (XTrace trace : log) {
			lifetimesList.add(
				XesAuxiliary.getTime(trace.get(trace.size()-1))
				- XesAuxiliary.getTime(trace.get(0)));
		}
		lifetimes = lifetimesList.toArray(new Double[lifetimesList.size()]);
	}
	
	public Double[] getLifetimes() {
		return lifetimes;
	}
}
