package org.processmining.markovprocess.plugins;
import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.markovprocess.models.ContinuousTimeMarkovChain;
import org.processmining.markovprocess.models.StateLifetimes;

@Plugin(name = "Find CTMC From XLog",
parameterLabels = { "Log" },
returnLabels = { "Continuous Time Markov Chain", "State Lifetimes" },
returnTypes = { ContinuousTimeMarkovChain.class, StateLifetimes.class },
userAccessible = true)
public class ContinuousTimeMarkovChainPlugin {
	@UITopiaVariant(affiliation = "TU/e",
            author = "Martijn M. Gösgens",
            email = "m.m.gosgens@student.tue.nl",
            uiLabel = UITopiaVariant.USEPLUGIN)
	@PluginVariant(requiredParameterLabels = { 0 })
	public static Object findCtmc(
			  final PluginContext context,
			  final XLog log) {
		// Create a CTMC from the log
		ContinuousTimeMarkovChain ctmc = new ContinuousTimeMarkovChain(log);
		return new Object[] {ctmc, ctmc.getStateLifetimes()};
	}
}