package org.processmining.markovprocess.plugins;
import org.deckfour.xes.model.XLog;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.markovprocess.models.DiscreteTimeMarkovChain;
import org.processmining.markovprocess.models.InitialDistribution;

@Plugin(name = "Find DTMC From XLog",
parameterLabels = { "Log" },
returnLabels = { "Discrete Time Markov Chain", "Initial Distribution" },
returnTypes = { DiscreteTimeMarkovChain.class, InitialDistribution.class },
userAccessible = true)
public class DiscreteTimeMarkovChainPlugin {
	@UITopiaVariant(affiliation = "TU/e",
            author = "Martijn M. Gösgens",
            email = "m.m.gosgens@student.tue.nl",
            uiLabel = UITopiaVariant.USEPLUGIN)
	@PluginVariant(requiredParameterLabels = { 0 })
	public static Object[] findDtmc(
			  final PluginContext context,
			  final XLog log) {
		// Create a DTMC from the log
		DiscreteTimeMarkovChain dtmc = new DiscreteTimeMarkovChain(log);
		return new Object[]{dtmc,dtmc.getInitialDistribution()};
	}
}
