package org.processmining.markovprocess.plugins;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.markovprocess.models.ContinuousTimeMarkovChain;
import org.processmining.markovprocess.models.DiscreteTimeMarkovChain;

@Plugin(name = "Uniformize CTMC",
parameterLabels = { "Continuous Time Markov Chain" },
returnLabels = { "Discrete Time Markov Chain" },
returnTypes = { DiscreteTimeMarkovChain.class },
userAccessible = true)
public class UniformizationPlugin {
	@UITopiaVariant(affiliation = "TU/e",
            author = "Martijn M. Gösgens",
            email = "m.m.gosgens@student.tue.nl",
            uiLabel = UITopiaVariant.USEPLUGIN)
	@PluginVariant(requiredParameterLabels = { 0 })
	public static DiscreteTimeMarkovChain uniformize(
			  final PluginContext context,
			  final ContinuousTimeMarkovChain ctmc) {
		DiscreteTimeMarkovChain dtmc = DiscreteTimeMarkovChain.uniformize(ctmc);
		return dtmc;
	}
}